<?php

/**
 * There we define class for handling single record
 * from am_example table
 * you may add mission-specific methods for it
 * Look at controllers/DaoController.php for usage examples
 * 
 * @property int $example_id Primary key
 * @property string $title Title
 * @property string $comment Comment
 */
class Example extends Am_Record
{
}

/**
 * Here you define "table" class for handling am_example
 * table
 * it has a lot of useful methods, look at Am_Table class
 * Look at controllers/DaoController.php for usage examples
 * Look at controllers/GridController.php for usage examples
 */
class ExampleTable extends Am_Table
{
    protected $_table = '?_example';
    protected $_key = 'example_id';
    protected $_recordClass = 'Example'; // single record class
}