<?php

class Am_Form_Setup_Example extends Am_Form_Setup
{
    function __construct()
    {
        parent::__construct('example');
        $this->setTitle(___('Example'));
    }

    function initElements()
    {
        // here you can define configuration form
        // if defined, it will appear at aMember Cp -> Configuration -> Setup/Configuration -> Example
        $this->addText('example.sample')
            ->setLabel('My Sample Configuration')
            ->addRule('required');
        // this field may be accessed as
        // $this->getConfig('sample') - from moodle bootstrap class
        // $this->getModule()->getConfig('sample') - from this module controllers
        // Am_Di::getInstance()->config->get('example.sample') - from any point of the aMember
    }
}