<?php

/**
 * this method is automatically accessible as
 *     http://example.com/amember/example/admin
 * all controllers with names starting with "admin" 
 * will automatically require admin login and you
 * have to define checkPermissions method in controller
 */
class Example_AdminController extends Am_Mvc_Controller 
{
    public function checkAdminPermissions(Admin $admin)
    {
        return $admin->isSuper(); // only super-admins allowed to open this
    }
    
    function indexAction()
    {
        $this->view->title = "Example Module Admin Page";
        $this->view->content = "Some HTML specific for your module admin page";
        $this->view->display('admin/layout.phtml'); // lay it out to admin header/footer
    }
}