<?php
/**
 * This class automatically gets url http://example.com/amember/example/index 
 * or simply http://example.com/amember/example/ (index is assumed)
 */
class Example_IndexController extends Am_Mvc_Controller
{
    /**
     * This method is automatically accessible as
     * http://example.com/amember/example/index/index
     * or
     * http://example.com/amember/example/index/
     * or
     * http://example.com/amember/example/
     * (index is assumed if no controller and action is specified)
     */
    function indexAction()
    {
        // we will just assign a variable to template and output it
        // look at amember/application/example/views/example/index.phtml
        $this->view->assign('var', 'VALUE');
        echo $this->view->render('example/index.phtml');
    }
    
    /**
     * This action is automatically accessible as 
     * http://example.com/amember/example/index/second
     */
    function secondAction()
    {
        echo "You can just echo out something and it will work!";
    }
}